Valorant API Unofficial docs
API Reference Local Endpoints
GET

Friends

Get a list of friends

Server Local client Auth Basic · lockfile
GET https://127.0.0.1:{port}/chat/v4/friends

Headers

Authorization string required
Value Basic {base64 encoded "riot:{lockfile password}"}— Base64 of riot:{lockfile password}, from the Riot Client lockfile

URL parameters

port number required

From the Riot Client lockfile.

How to get it

The port can be found from the lockfile (located at %LocalAppData%\Riot Games\Riot Client\Config\lockfile ) when the game is running. The file has the format name:pid:port:password:protocol

Other variables

lockfile password From the Riot Client lockfile.
Details

The password can be found from the lockfile (located at %LocalAppData%\Riot Games\Riot Client\Config\lockfile ) when the game is running. The file has the format name:pid:port:password:protocol

Riot Client lockfile

Response

friends array[object]
Show nested attributes Hide nested attributes 11
activePlatform string nullable
displayGroup string
game_name string
game_tag string
group string
last_online_ts number nullable

Milliseconds since epoch

name string
note string
pid string
puuid string · uuid

Player UUID

region string